Index: roard/roard.c
===================================================================
--- roard/roard.c	(revision 6052)
+++ roard/roard.c	(revision 0)
@@ -1,331 +1,35 @@
 //roard.c:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of roard a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- */
-
-/* ckport options:
- * Stuff checked by configure:
- * ckport: ignore-symbol: getuid of target win32
- * ckport: ignore-symbol: setuid of target win32
- * ckport: ignore-symbol: getgid of target win32
- * ckport: ignore-symbol: setgid of target win32
- * ckport: ignore-symbol: setsid of target win32
- * ckport: ignore-symbol: kill of target win32
- * ckport: ignore-symbol: chroot of target win32
- * ckport: ignore-symbol: fork of target win32
- * ckport: ignore-symbol: getservbyname of target win32
- * ckport: ignore-symbol: nice of target win32
- *
- */
 
 #include "roard.h"
 
-enum metaaction {
- MA_ACTION,
- MA_LIST_PROTO,
- MA_LIST_PLUGIN
-};
-
-enum action {
- START,
- STOP,
- RESTART,
- RESTART_RETRY,
- SHUTDOWN
-};
-
-enum af_mode {
- AF_MODE_NONE,
- AF_MODE_LOAD,
- AF_MODE_GEN
-};
-
-// some stuff we only define extern globally.
-int g_verbose = ROAR_DBG_INFO_NONE;
-
-int alive;
-#ifdef ROAR_SUPPORT_LISTEN
-int g_no_listen;
-#endif
-
-uint32_t g_pos; // current position in output stream
-
-int g_standby;
-int g_autostandby;
-
-struct roard_listen g_listen[ROAR_MAX_LISTEN_SOCKETS];
-
-int g_self_client;
-
-int g_terminate;
-
-struct roar_audio_info * g_sa, * g_max_sa;
-
-struct roard_config * g_config;
-
-struct counters g_counters;
-// end of extern block.
-
-#ifdef ROAR_SUPPORT_LISTEN
-static const char * server[ROAR_MAX_LISTEN_SOCKETS];
-#endif
-
-#if defined(ROAR_HAVE_IO_POSIX) && defined(ROAR_HAVE_FS_POSIX)
-#define SUPPORT_PIDFILE
-static char * pidfile = NULL;
-#endif
-
-#if defined(ROAR_HAVE_SETGID) || defined(ROAR_HAVE_SETUID)
-static int    setids    = 0;
-#endif
-
-#ifdef ROAR_HAVE_LIBX11
-static char * x11display = NULL;
-#endif
-
-#ifdef ROAR_HAVE_MAIN_ARGS
 void usage (void) {
  printf("Usage: roard [OPTIONS]...\n\n");
 
- printf("Misc Options:\n\n");
- printf(
-#if defined(ROAR_HAVE_FORK) || defined(ROAR_TARGET_WIN32)
-        " --daemon              - Bring the server into background after init\n"
-#endif
-        " --verbose             - Be more verbose, can be used multiple times\n"
-        " --terminate           - Terminate after last client quited\n"
-        " --start               - No op parameter (starting roard is default operation)\n"
-        " --restart             - Trys to stop an old instance and start a new with new settings\n"
-        " --stop                - Stops a running roard (provide --pidfile!)\n"
-        " --shutdown            - Terminates a running roard (provide --pidfile!)\n"
-        " --realtime            - Trys to get realtime priority,\n"
-        "                         give multible times for being more realtime\n"
-        " --memlock LEVEL       - Set default memory locking level to LEVEL\n"
-        " --watchdog            - Enable watchdog\n"
-        " --watchdog-time TIME  - Set watchdog time to TIME (in ms)\n"
-#ifdef ROAR_HAVE_CHROOT
-        " --chroot DIR          - chroots to the given dir\n"
-#endif
-#ifdef ROAR_HAVE_SETGID
-        " --setgid              - GroupID to the audio group as specified via -G\n"
-#endif
-#ifdef ROAR_HAVE_SETUID
-        " --setuid              - UserID to the audio user as specified via -U\n"
-#endif
-        " --sysclocksync        - calculate exact sample rate using the system clock\n"
-        " --location  LOC       - Set lion readable location of server\n"
-        " --description  DESC   - Set lion readable description of server\n"
-        " --contact CONTACT     - Set contact for this server\n"
-        " --serial SERIAL       - Set serial for this device or server\n"
-        "                         (for embedded devices only)\n"
-        " --uiurl UIURL         - Set URL for userinterface of this device or server\n"
-        "                         (for embedded devices only)\n"
-#ifdef SUPPORT_PIDFILE
-        " --pidfile PIDFILE     - Write a pidfile at PIDFILE\n"
-#endif
-#ifdef ROAR_HAVE_SYSLOG
-        " --log-syslog          - Log Warnings, Errors, ... to syslog\n"
-#endif
-#ifdef ROAR_HAVE_SYSTEM
-        " --script-postdown S   - Run command lion S after complet shutdown.\n"
-#endif
-       );
-
- printf("\nAuth Options:\n\n");
- printf(
-        " --guest-acclev ACCLEV - Sets the access level for guest access to ACCLEV,\n"
-        "                         Use \"none\" to disable guest access.\n"
-        " --trust-acclev ACCLEV - Sets the access level for trust-authed\n"
-        "                         connections to ACCLEV. Use \"none\" to disable trust auth.\n"
-        " --trust-root          - Trust root user\n"
-        " --no-trust-root       - Don't trust root user\n"
-        " --authfile-gen FILE   - Generate an new authfile\n"
-        " --authfile-load FILE  - Load an authfile\n"
-        " --authfile-type TYPE  - Type of authfile\n"
-        " --authfile-acclev ACCLEV\n"
-        "                       - Sets the access level for authfile\n"
-        " --new-authfile        - Parameters for new authfile follow\n"
-       );
-
- printf("\nPlugin Options:\n\n");
- printf(
-        " --plugin-load FILE    - Load plugin FILE\n"
-        " --plugin-args ARGS    - Arguments for the plugin\n"
-        "                         (must be given before the --plugin-load)\n"
-        " --list-plugins        - List loaded plugins\n"
-       );
-
- printf("\nAudio Options:\n\n");
+ printf("Audio Options:\n\n");
  printf(
         " -R  --rate   RATE     - Set server rate\n"
         " -B  --bits   BITS     - Set server bits\n"
         " -C  --chans  CHANNELS - Set server channels\n"
-        " --aiprofile  PROFILE  - Use the given audio profile\n"
        );
 
- printf("\nStream Options:\n\n");
- printf(
-        " --stream-flags D=F    - Set default flags for stream directions\n"
-        "                         D is the stream direction and F is a comma separated\n"
-        "                         list of flags in form +flag or -flag to set or unset\n"
-        "                         a flag as default or remove it from the default\n"
-       );
- printf("\nStream Options:\n\n");
- printf(
-        " --list-rolestack      - Show the current role stack\n"
-        " --rolestack-push R:A  - Add a rule for role R with action A on top\n"
-        "                         of the role stack.\n"
-       );
+ printf("\nDriver Options:\n\n");
+ printf(" -d  --driver DRV      - Set the driver, use '-d list' to get a list (default: %s)\n", ROAR_DRIVER_DEFAULT);
+ printf(" -D  --device DEV      - Set the device\n");
+ printf(" -dO OPTS              - Set output options\n");
 
- printf("\nOutput Options:\n\n");
- printf(" -o  --odriver DRV     - Set the driver, use '--list-driver' to get a list\n");
- printf(" -O  --odevice DEV     - Set the device\n");
- printf(" -oO OPTS              - Set output options\n");
- printf(" -oN                   - Adds another output\n");
- printf(" -oP                   - Mark output as primary\n");
-#ifdef ROAR_DRIVER_DEFAULT
- printf(" --list-driver         - List all drivers (default driver: %s)\n", ROAR_DRIVER_DEFAULT);
-#else
- printf(" --list-driver         - List all drivers (default driver: (autodetect))\n");
-#endif
-
-#ifndef ROAR_WITHOUT_DCOMP_SOURCES
  printf("\nSource Options:\n\n");
  printf(" -s  --source DRV      - Use DRV as input driver\n"
         " -S           DEV      - Use DEV as input device\n"
         " -sO          OPTS     - Use OPTS as input options\n"
-        " -sN                   - Adds another source\n"
         " -sP                   - Make souce as primary\n"
        );
- printf(" --list-sources        - List all sources\n");
-#endif
 
-#ifndef ROAR_WITHOUT_DCOMP_MIXER
- printf("\nHardware Mixer Options:\n\n");
- printf(" -m  --mixer  DRV      - Use DRV as mixer driver\n"
-        " -M           DEV      - Use DEV as mixer device\n"
-        " -mO          OPTS     - Use OPTS as mixer options\n"
-        " -mN                   - Adds another mixer\n"
-        " -mP                   - Make mixer as primary\n"
-       );
- printf(" --list-mixers         - List all mixers\n");
-#endif
-
- printf("\nCodec Filter Options:\n\n");
- printf(" --list-cf             - List all codec filter\n"
-       );
-
-#ifndef ROAR_WITHOUT_DCOMP_MIDI
- printf("\nMIDI Options:\n\n");
- printf(" --midi-no-console     - Disable console based MIDI synth\n"
-        " --midi-console-enable - Enables the console based MIDI synth\n"
-        " --midi-console DEV    - Set device for MIDI console\n"
-#ifndef ROAR_WITHOUT_DCOMP_SSYNTH
-        " --ssynth-enable       - Enable simple software synth\n"
-        " --ssynth-disable      - Disable simple software synth\n"
-#endif
-       );
-#endif
-
-#ifndef ROAR_WITHOUT_DCOMP_LIGHT
- printf("\nLight Control Options:\n\n");
- printf(" --light-channels NUM  - Sets the number of channels for Light control (default: %i)\n",
-                                  LIGHT_CHANNELS_DEFAULT
-       );
-#endif
-
-#ifndef ROAR_WITHOUT_DCOMP_RDTCS
- printf("\nRadio Data and Transmitter Control System Options:\n\n");
- printf(" --rds-pi   PI         - Sets the RDS Programme Identification (PI)\n"
-        " --rds-ps   PS         - Sets the RDS Programme Service Name (PS)\n"
-        " --rds-pty  PTY        - Sets the RDS Programme Type (PTY)\n"
-        " --rds-tp              - Sets the RDS Traffic Programme (TP) flag\n"
-        " --rds-ct              - Enables sending of RDS Clock Time (CT)\n"
-       );
-#endif
-
-#ifdef ROAR_HAVE_LIBX11
- printf("\nX11 Options:\n\n");
- printf(
-        " --x11-display DISPLAY - Set display for X11\n"
-        " --display DISPLAY     - Set display for X11\n"
-       );
-#endif
 
  printf("\nServer Options:\n\n");
  printf(" -t  --tcp             - Use TCP listen socket\n"
-#ifdef ROAR_HAVE_UNIX
         " -u  --unix            - Use UNIX Domain listen socket (default)\n"
-#endif
-#ifdef ROAR_HAVE_LIBDNET
-        " -n  --decnet          - use DECnet listen socket\n"
-#endif
-        " -4                    - Use IPv4 connections (implies -t)\n"
-#ifdef AF_INET6
-        " -6                    - Use IPv6 connections (implies -t)\n"
-#endif
-#ifdef IPV6_ADDRFORM
-        " -64                   - Try to downgrade sockets from IPv6 into IPv4,\n"
-        "                         this is normaly not useful.\n"
-#endif
         " -p  --port            - TCP Port to bind to\n"
         " -b  --bind            - IP/Hostname to bind to\n"
-        "     --sock            - Filename for UNIX Domain Socket\n"
-        "     --proto PROTO     - Use PROTO as protocol on Socket\n"
-        "     --proto-dir DIR   - Set direction parameter for protocol\n"
-        "     --proto-rate RATE - Set sample rate parameter for protocol\n"
-        "     --proto-bits BITS - Set bits per sample parameter for protocol\n"
-        "     --proto-codec E   - Set codec parameter for protocol\n"
-        "     --proto-chans C   - Set number of channels parameter for protocol\n"
-        "     --proto-aiprofile PROFILE\n"
-        "                       - Sets the audio profile for socket\n" 
-        "     --proto-profile P - Set profile for listen socket\n"
-        "     --list-proto      - List supported protocols\n"
-        "     --list-profiles   - List supported profiles for --proto-profile\n"
-        "     --list-aiprofiles - List supported profiles for --proto-aiprofile\n"
-        "     --new-sock        - Parameters for new socket follow\n"
-#ifdef ROAR_HAVE_LIBSLP
-        "     --slp             - Enable OpenSLP support\n"
-#endif
-#ifdef ROAR_HAVE_LIBX11
-        "     --x11             - Enable X11 support\n"
-#endif
-        " --jumbo-mtu MTU       - Sets the MTU for Jumbo Packets\n"
-        " -G  GROUP             - Sets the group for the UNIX Domain Socket, (default: %s)\n"
-        "                         You need the permissions to change the GID\n"
-        " -U  USER              - Sets the user for the UNIX Domain Socket, (default: do not set)\n"
-        "                         You need the permissions to change the UID (normaly only root has)\n"
-        " --no-listen           - Do not listen for new clients\n"
-        "                         (only useful for relaing, impleys --terminate)\n"
-        " --client-fh           - Comunicate with a client over this handle\n"
-        "                         (only useful for relaing)\n"
-        " --close-fh            - Closes the given fh\n"
-        " --standby             - Start in standby state\n"
-        " --auto-standby        - Automatical goes into standby if there are no streams\n",
-#ifdef ROAR_DEFAULT_SOCKGRP
-        ROAR_DEFAULT_SOCKGRP
-#else
-        "(none)"
-#endif
+        " -s  --sock            - Filename for UNIX Domain Socket\n"
        );
 // printf("\n Options:\n\n");
